Subject: Re: [Bitcoin-development] have there been complains about network congestion? (router crashes, slow internet when running Bitcoin nodes)

From: Wladimir <[email-masked]>
Date: Tue, 8 Apr 2014 18:48:01 +0200

On Tue, Apr 8, 2014 at 6:13 PM, Angel Leon <[email-masked]> wrote:

> I was wondering if the level of traffic a Bitcoin node gets is or will be
> so high that you have heard/will hear complains like the following:
>
>
>    1. a home router that crashes or slows down when its NAT pin-hole
>    table overflows, triggered by many TCP connections.
>
>
The default maximum amount of connections is 125, which only happens if you
have a stable node that accepts incoming connections. The maximum number of
outgoing connections is always 8.
Should be no problem even for cheapass routers.

>    1. a home router that crashes or slows down by UDP traffic
>
> N/A - We don't use UDP

>    1. a home DSL or cable modem having its send buffer filled up by
>    outgoing data, and the buffer fits seconds worth of bytes. This adds
>    seconds of delay on interactive traffic. For a web site that needs 10 round
>    trips to load this may mean 10s of seconds of delay to load compared to
>    without bittorrent. Skype or other delay sensitive applications would be
>    affected even more.
>
> Filling up the send buffer is certainly possible.
Adding throttling wouldn't be horribly hard, but this is postponed until
parallel block download is implemented, so that other peers will not get
stuck on your throttled node.

>
>    1.
>
> I was wondering if we have or expect to have these issues in the future,
> perhaps uTP could help greatly the performance of the entire network at
> some point.
>

There is enough lower-hanging fruit left.

If you're interested in speeding up the performance I think it's important
to start with benchmarking and analysis to find out where the pain points
are.

Wladimir